
Redmine - Defect #4737

An invalid issue query returns a DoubleRenderError

2010-02-04 11:25 - Frédéric Senault

Status: Closed Start date: 2010-02-04

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 0.9.2   

Resolution: Fixed Affected version: 0.9.1

Description

If you try to get an unknown format for the issues (i.e. http://redmine/issues.abc), the controller throws a double render error.

(I noticed this while trying to use the REST API in 0.9.1 while it's not implemented yet.)

Associated revisions

Revision 3366 - 2010-02-04 20:52 - Jean-Philippe Lang

Fixed: invalid format parameter returns a DoubleRenderError on issues index (#4737).

Revision 3368 - 2010-02-04 20:58 - Jean-Philippe Lang

Fixed: invalid format parameter returns a DoubleRenderError on issues index (#4737).

History

#1 - 2010-02-04 20:44 - Jean-Philippe Lang

- Status changed from New to Resolved

- Resolution set to Fixed

Fixed in r3366.

#2 - 2010-02-04 20:44 - Jean-Philippe Lang

- Target version set to 0.9.2

#3 - 2010-02-07 12:48 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in r3385.
